Bug 453070 - boot.iso: anaconda is not setting domain in resolve.conf for net install
boot.iso: anaconda is not setting domain in resolve.conf for net install
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-06-26 23:10 EDT by Jens Petersen
Modified: 2008-08-26 17:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-26 17:22:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2008-06-26 23:10:36 EDT
Description of problem:
When using boot.iso to do a net install the domain does not get set from dhcp.
This means that the host in the url to the repo needs to be fully-qualified.

Version-Release number of selected component (if applicable):

How reproducible:
every time

Steps to Reproduce:
1. install rawhide from boot.iso
2. on repos screen edit Fedora Rawhide repo to use a local baseurl:
 eg http://download/pub/fedora/rawhide-x86_64
3. continue install
Actual results:
No domain set in resolve.conf so anaconda attempts 10 times
but repo can't be accessed.

Expected results:
Set domain name in resolve.conf or complain that host/repo can't be found.

Additional info:
Also it would be nice if the local mirror could be set before anaconda retrieves any
info for "Fedora - Rawhide" from fedora mirrors, but I guess that deserves a
separate bug.
Comment 1 Jens Petersen 2008-07-01 23:36:44 EDT
After complaining that the host or repo is unreachable there should be
an opportunity to edit the repo configuration to correct any mistake in the urls.
Comment 2 Chris Lumens 2008-08-26 17:22:40 EDT
This should be fixed in the next build of anaconda because of David's NetworkManager patches against rawhide.

Note You need to log in before you can comment on or make changes to this bug.